#include <stdio.h>

using namespace std;

typedef long long ll;

int count_z(int a[], int n){
    int nZ;
    for (int i = 0; i < n; i++){
        if (a[i]%2=0) nZ++
    }
    return nZ;
}
int main(){
    int n = 0;
    scanf("%d", &n);
    int a[n] = {0};
    for (int i = 0; i < n; i++){
        scanf("%d", &a[i]);
    }
    if (n % 2 = 1){
        int nZ = count_z(a,n);
        printf("%d", nZ);
    }else{
        
    }
    return 0;
}